cmake_minimum_required(VERSION 3.16)

project(ZoostTest LANGUAGES CXX)
set(CMAKE_CXX_STANDARD 17)

add_subdirectory(googletest)

add_executable(baseTest baseTest.cpp)
target_link_libraries(baseTest PRIVATE cxxLibrary)

add_executable(serviceTest serviceTest.cpp)
target_link_libraries(serviceTest PRIVATE cxxLibrary)

add_executable(bufferTest bufferTest.cpp)
target_link_libraries(bufferTest PRIVATE cxxLibrary gtest gtest_main)

add_test(NAME BaseTest COMMAND baseTest)
add_test(NAME BufferTest COMMAND bufferTest)